LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XDataInterpreter Interface Reference

offers tooling to interpret different data sources in a structural and chart-type-dependent way. More...

`import"XDataInterpreter.idl";`

Inheritance diagram for XDataInterpreter:

## Public Member Functions
InterpretedData | interpretDataSource ([in] com::sun::star::chart2::data::XDataSource xSource, [in] sequence< com::sun::star::beans::PropertyValue > aArguments, [in] sequence< XDataSeries > aSeriesToReUse)
| Interprets the given data. More...
InterpretedData | reinterpretDataSeries ([in] InterpretedData aInterpretedData)
| Re-interprets the data given in `aInterpretedData` while keeping the number of data series and the categories. More...
boolean | isDataCompatible ([in] InterpretedData aInterpretedData)
| parses the given data and states, if a reinterpretDataSeries() call can be done without data loss. More...
com::sun::star::chart2::data::XDataSource | mergeInterpretedData ([in] InterpretedData aInterpretedData)
| Try to reverse the operation done in interpretDataSource(). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

offers tooling to interpret different data sources in a structural and chart-type-dependent way.

## Member Function Documentation

InterpretedData interpretDataSource | ( | [in] com::sun::star::chart2::data::XDataSource | xSource,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | aArguments,
|  | [in] sequence< XDataSeries > | aSeriesToReUse
| ) |  |

Interprets the given data.

Parameters

  aArguments | Arguments that tell the template how to slice the given range. The properties should be defined in a separate service.

For standard parameters that may be used, see the service StandardDiagramCreationParameters.

Parameters

  aSeriesToReUse | use all the data series given here for the result before creating new ones.

boolean isDataCompatible | ( | [in] InterpretedData | aInterpretedData | ) |

parses the given data and states, if a reinterpretDataSeries() call can be done without data loss.

Returns
  `TRUE`, if the data given in `aInterpretedData` has a similar structure than the one required is used as output of the data interpreter.

com::sun::star::chart2::data::XDataSource mergeInterpretedData | ( | [in] InterpretedData | aInterpretedData | ) |

Try to reverse the operation done in interpretDataSource().

In case `aInterpretedData` is the result of interpretDataSource()( `xSource` ), the result of this method should be `xSource`.

InterpretedData reinterpretDataSeries | ( | [in] InterpretedData | aInterpretedData | ) |

Re-interprets the data given in `aInterpretedData` while keeping the number of data series and the categories.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XDataInterpreter.idl